Name:           lua-language-server
Version:        3.14.0
Release:        1%{?dist}
Summary:        Lua Language Server coded by Lua
License:        MIT
URL:            https://github.com/LuaLS/lua-language-server
Source0:        %{name}-%{version}-submodules.zip
Source1:        lua-lsp-launcher.sh
Source2:        fix-missing-cstdint.patch

BuildRequires:  gcc-c++, cmake, ninja-build, libstdc++-static

%define debug_package %{nil}

%description
This package provides a Language Server Protocol (LSP) implementation for Lua.

%prep
mkdir %{name}-%{version}
unzip -q %{SOURCE0} -d %{name}-%{version}
cd %{name}-%{version}
patch -p1 < %{SOURCE2}

%build
cd %{name}-%{version}
export CXXFLAGS="%{optflags}"

ninja -C 3rd/luamake -f compile/ninja/linux.ninja
./3rd/luamake/luamake rebuild

%install
cd %{name}-%{version}
install -Dm0755 bin/%{name} %{buildroot}%{_libexecdir}/%{name}/%{name}
install -Dm0644 bin/main.lua %{buildroot}%{_libexecdir}/%{name}/main.lua

install -d %{buildroot}%{_datadir}/%{name}
cp -av \
    debugger.lua \
    main.lua \
    locale \
    script \
    meta \
    %{buildroot}%{_datadir}/%{name}/

install -d %{buildroot}%{_bindir}
sed -e 's#@LIBEXECDIR@#%{_libexecdir}#' %{SOURCE1} > %{buildroot}%{_bindir}/%{name}
chmod 0755 %{buildroot}%{_bindir}/%{name}

%files
%license %{name}-%{version}/LICENSE
%doc %{name}-%{version}/README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/%{name}

%changelog
* Tue May 20 2025 Martin Kaufmann <martinkaufmann@tuta.io> - 3.14.0-1
- Initial build
